<div *ngIf="navbarService.displayMatchedOccupations && matchOccupationsService.isLoading"
     class="spinner-area">
  <mat-spinner class="education-spinner" [diameter]="40" aria-label="Matchning pågår"></mat-spinner>
</div>
<div *ngIf="!matchOccupationsService.isLoading">
  <div *ngIf="matchedOccupations && navbarService.displayMatchedOccupations && educationLight">
    <h3 class="title" [innerHTML]="getTitle(educationLight)"></h3>
    <div class="about-matching-result">
      <mat-accordion *ngIf="matchedOccupations.identifiedKeywordsForInput && appComponent.debug">
        <mat-expansion-panel class="card-details-item">
          <mat-expansion-panel-header class="card-details-item">
            <mat-panel-title>
              <i>Om matchningsresultatet</i>
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <div fxFlex fxLayout="row" fxLayout.lt-sm="column">
            <div fxFlex="100%" fxFlex.gt-sm="50%">
              <h3 *ngIf="matchedOccupations.identifiedKeywordsForInput.competencies">Matchande kompetenser:</h3>
              <div *ngFor="let competence of matchedOccupations.identifiedKeywordsForInput.competencies;let i = index">
                {{competence}}
              </div>
            </div>
            <div fxFlex="100%" fxFlex.gt-sm="50%">
              <h3 *ngIf="matchedOccupations.identifiedKeywordsForInput.occupations">Matchande yrken:</h3>
              <div *ngFor="let occupation of matchedOccupations.identifiedKeywordsForInput.occupations;let i = index">
                {{occupation}}
              </div>
            </div>
          </div>
        </mat-expansion-panel>
      </mat-accordion>
    </div>

    <div class="zero-results-found" *ngIf="getRelatedOccupations()?.length == 0">
      Inga relaterade yrken kunde hittas
    </div>

    <div *ngFor="let relatedOccupation of getRelatedOccupations();let i = index">
      <mat-accordion>
        <mat-expansion-panel class="card-details-item">
          <mat-expansion-panel-header class="card-details-item">
            <mat-panel-title>
              {{relatedOccupation.occupationLabel}}
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <div *ngIf="relatedOccupation.occupationGroup">
            Tillhör yrkesgruppen {{lowercaseWords(relatedOccupation.occupationGroup.occupationGroupLabel)}}.
            (SSYK {{relatedOccupation.occupationGroup.ssyk}})
          </div>
          <div
            *ngIf="!relatedOccupation.salary || (!relatedOccupation.salary.salaryStatistics || relatedOccupation.salary.salaryStatistics.length < 1)"
            class="preamble">
            Lönestatistik saknas för denna yrkesgrupp.
          </div>
          <div *ngIf="!relatedOccupation.forecast" class="preamble">
            Prognos saknas för denna yrkesgrupp.
          </div>
          <div *ngIf="relatedOccupation.forecast" class="preamble">
            <div>{{relatedOccupation.forecast.preamble}}</div>
            <mat-divider class="divider"></mat-divider>
            <div><h3>Framtidsutsikter</h3></div>

            <div fxLayout="row" fxLayoutAlign=" start" class="forecasts">
              <div *ngFor="let forecast of relatedOccupation.forecast.forecasts;let i = index">
                <div class="forecast">
                  <div fxLayout="row" fxLayoutAlign="center start" >
                    <h3>Prognos för år {{forecast.year}}:</h3>
                  </div>
                  <div fxLayout="row" fxLayoutAlign="center start" >
                    <ngx-gauge
                      [type]="gaugeType"
                      [value]="getGaugeValueForForecast(forecast)"
                      [label]="getGaugeLabelForForecast(forecast)"
                      [min]="gaugeMin"
                      [max]="gaugeMax"
                      [thick]="gaugeThick"
                      [cap]="gaugeCap"
                      [thresholds]="gaugeThresholdConfig"
                      [size]="gaugeSize">
                      <ngx-gauge-value class="forecast-value">
                        {{getGaugeValueLabelForForecast(forecast)}}
                      </ngx-gauge-value>
                      <ngx-gauge-label>
                      </ngx-gauge-label>
                    </ngx-gauge>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div *ngIf="showSalaryCharts(relatedOccupation)" class="salary-statistics-container">
            <mat-divider class="divider"></mat-divider>
            <div><h3>Lönestatistik</h3></div>
            <ngx-charts-line-chart
              [legend]="salaryLegend"
              [showXAxisLabel]="salaryShowXAxisLabel"
              [showYAxisLabel]="salaryShowYAxisLabel"
              [xAxis]="salaryXAxis"
              [yAxis]="salaryYAxis"
              [xAxisLabel]="salaryXAxisLabel"
              [yAxisLabel]="salaryYAxisLabel"
              [timeline]="salaryTimeline"
              [results]="getSalaryCharts(relatedOccupation)"
            >
            </ngx-charts-line-chart>
          </div>

          <div *ngIf="showEmployeesCharts(relatedOccupation)" class="salary-statistics-container">
            <mat-divider class="divider"></mat-divider>
            <div><h3>Antal anställda</h3></div>
            <ngx-charts-line-chart
              [legend]="employeesLegend"
              [showXAxisLabel]="employeesShowXAxisLabel"
              [showYAxisLabel]="employeesShowYAxisLabel"
              [xAxis]="employeesXAxis"
              [yAxis]="employeesYAxis"
              [xAxisLabel]="employeesXAxisLabel"
              [yAxisLabel]="employeesYAxisLabel"
              [timeline]="employeesTimeline"
              [results]="getEmployeesCharts(relatedOccupation)"
            >
            </ngx-charts-line-chart>
          </div>

        </mat-expansion-panel>
      </mat-accordion>
    </div>
  </div>
</div>

